TVCONFIG(8)

NAME
tvconfig - initialize and bind the SunVideo display board

SYOPNSIS
/usr/etc/tvconfig [ -f ] tvunit fbunit

DESCRIPTION

tvconfig binds a cg frame buffer to the SunVideo display board. For example, the command line:

    /usr/etc/tvconfig tvone0 cgtwo0

will bind the frame buffer board cgtwo0 to the SunVideo display board tvone0. The device /dev/tvone0 will then refer to the combination of tvone0 and cgtwo0

Only one frame buffer can be bound at a time.

In the file /etc/rc.local, the following command line:

    /usr/etc/tvconfig -f tvone0 cgtwo0

will bind tvone0 and cgtwo0 as tvone0, and redirect /dev/fb to be /dev/tvone0. If another configuration is desired, edit the command line in /etc/rc.local appropriately.

It is inadvisable to run the tvconfig command while the frame buffer or the SunVideo display board is being used. Unpredictable results may occur. If it is necessary to change the frame buffer bindings, exit Sunview first.

OPTIONS

-f  Redirect /dev/fb to the device formed by binding tvunit with fbunit.

FILES
/dev/cgtwo[0-9]
/dev/cgfour
/dev/fb
/dev/tvone0
/etc/rc.local

SEE ALSO
cgtwo(4S), tvone(4S), cgfour(4S)